SpeedCameraEvent = {};
SpeedCameraEvent_mt = Class(SpeedCameraEvent, Event);
InitEventClass(SpeedCameraEvent, "SpeedCameraEvent");
function SpeedCameraEvent:emptyNew()
    local self = Event:new(SpeedCameraEvent_mt);
    self.className="SpeedCameraEvent";
    return self;
end;

function SpeedCameraEvent:new(object, vehicle, toFast, price)
    local self = SpeedCameraEvent:emptyNew(); 
    self.object = object; 
	self.vehicle = vehicle;
	self.toFast = toFast;
	self.price = price;
    return self;
end;

function SpeedCameraEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.object));
	streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
	streamWriteInt8(streamId, self.toFast);
	streamWriteInt16(streamId, self.price);
end;

function SpeedCameraEvent:readStream(streamId, connection)
    self.object = networkGetObject(streamReadInt32(streamId));
    self.vehicle = networkGetObject(streamReadInt32(streamId));
    self.toFast = streamReadInt8(streamId);
    self.price = streamReadInt16(streamId);
    self:run(connection);
end;

function SpeedCameraEvent:run(connection)
	self.object:setWarning(self.vehicle, self.toFast, self.price);
end;

function SpeedCameraEvent.sendEvent(object, vehicle, toFast, price)
	if g_server ~= nil then   
		g_server:broadcastEvent(SpeedCameraEvent:new(object, vehicle, toFast, price), nil, nil, object); 
	else  
		g_client:getServerConnection():sendEvent(SpeedCameraEvent:new(object, vehicle, toFast, price)); 
	end;
end;